combination_graph<-function(graph_fcst, graph_hcst, graph_obs, append.parentnodename){

F<-!is.null(graph_fcst)
H<-!is.null(graph_hcst)
O<-!is.null(graph_obs)

if(F & H & O) {
    graph<-my_union_graph(graph_fcst$graph,graph_hcst$graph,graph_obs$graph)
    parentnodename<-list(graph_fcst$parentnodename,graph_hcst$parentnodename,graph_obs$parentnodename)

}else if(H & O){
    graph<-my_union_graph(graph_hcst$graph, graph_obs$graph)
    parentnodename<-list(graph_hcst$parentnodename,graph_obs$parentnodename)
}
append<-c(parentnodename, append.parentnodename)

graph <- metaclip.graph.Command(graph, "Loading", "2.0.0", "/modules/Loading/Loading.R", arg.list=list("Recipe"=recipe$Run$output_dir),
                                append)
return(list("graph"=graph, "parentnodename"=parentnodename))

}